Update an OAuth2 client credentials auth method

PATCH https://api.ap1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.ap2.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.datadoghq.eu/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us2.ddog-gov.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.uk1.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us3.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/{auth_method_id}

Información general

Update an existing OAuth2 client credentials auth method. This endpoint requires the manage_integrations permission.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

auth_method_id [required]

string

The UUID of the auth method.

Solicitud

Body Data (required)

OAuth2 client credentials payload.

Expand All

Campo

Tipo

Descripción

data [required]

object

OAuth2 client credentials data for an update request.

attributes [required]

object

OAuth2 client credentials attributes for an update request.

access_token_url

string

URL of the OAuth2 access token endpoint.

audience

string

The intended audience for the OAuth2 access token.

client_id

string

The OAuth2 client ID issued by the authorization server.

client_secret

string

The OAuth2 client secret issued by the authorization server. Write-only; never returned by the API.

name

string

Human-readable name for this auth method.

scope

string

Space-separated list of OAuth2 scopes to request.

type [required]

enum

OAuth2 client credentials resource type. Allowed enum values: webhooks-auth-method-oauth2-client-credentials

default: webhooks-auth-method-oauth2-client-credentials

{
  "data": {
    "attributes": {
      "access_token_url": "https://example.com/oauth/token",
      "audience": "https://api.example.com",
      "client_id": "my-client-id",
      "client_secret": "my-client-secret",
      "name": "my-oauth2-auth",
      "scope": "read:webhooks write:webhooks"
    },
    "type": "webhooks-auth-method-oauth2-client-credentials"
  }
}

Respuesta

OK

Response containing an OAuth2 client credentials auth method.

Expand All

Campo

Tipo

Descripción

data [required]

object

OAuth2 client credentials data from a response.

attributes [required]

object

OAuth2 client credentials attributes returned by the API. The client_secret is never echoed.

access_token_url

string

URL of the OAuth2 access token endpoint.

audience

string

The intended audience for the OAuth2 access token.

client_id

string

The OAuth2 client ID issued by the authorization server.

name

string

Human-readable name for this auth method.

protocol

enum

Authentication protocol used by the auth method. Allowed enum values: oauth2-client-credentials

scope

string

Space-separated list of OAuth2 scopes to request.

id [required]

string

The ID of the OAuth2 client credentials auth method.

type [required]

enum

OAuth2 client credentials resource type. Allowed enum values: webhooks-auth-method-oauth2-client-credentials

default: webhooks-auth-method-oauth2-client-credentials

{
  "data": {
    "attributes": {
      "access_token_url": "https://example.com/oauth/token",
      "audience": "https://api.example.com",
      "client_id": "my-client-id",
      "name": "my-oauth2-auth",
      "protocol": "oauth2-client-credentials",
      "scope": "read:webhooks write:webhooks"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "webhooks-auth-method-oauth2-client-credentials"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Conflict

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  ## default
# 

# Path parameters
export auth_method_id="CHANGE_ME"
# Curl command
curl -X PATCH "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/integration/webhooks/configuration/auth-method/oauth2-client-credentials/${auth_method_id}" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "name": "my-oauth2-auth-renamed" }, "type": "webhooks-auth-method-oauth2-client-credentials" } } EOF
"""
Update an OAuth2 client credentials auth method returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.webhooks_integration_api import WebhooksIntegrationApi
from datadog_api_client.v2.model.webhooks_o_auth2_client_credentials_type import WebhooksOAuth2ClientCredentialsType
from datadog_api_client.v2.model.webhooks_o_auth2_client_credentials_update_attributes import (
    WebhooksOAuth2ClientCredentialsUpdateAttributes,
)
from datadog_api_client.v2.model.webhooks_o_auth2_client_credentials_update_data import (
    WebhooksOAuth2ClientCredentialsUpdateData,
)
from datadog_api_client.v2.model.webhooks_o_auth2_client_credentials_update_request import (
    WebhooksOAuth2ClientCredentialsUpdateRequest,
)

body = WebhooksOAuth2ClientCredentialsUpdateRequest(
    data=WebhooksOAuth2ClientCredentialsUpdateData(
        attributes=WebhooksOAuth2ClientCredentialsUpdateAttributes(
            access_token_url="https://example.com/oauth/token",
            audience="https://api.example.com",
            client_id="my-client-id",
            client_secret="my-client-secret",
            name="my-oauth2-auth",
            scope="read:webhooks write:webhooks",
        ),
        type=WebhooksOAuth2ClientCredentialsType.WEBHOOKS_AUTH_METHOD_OAUTH2_CLIENT_CREDENTIALS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = WebhooksIntegrationApi(api_client)
    response = api_instance.update_o_auth2_client_credentials(auth_method_id="auth_method_id", body=body)

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# Update an OAuth2 client credentials auth method returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::WebhooksIntegrationAPI.new

body = DatadogAPIClient::V2::WebhooksOAuth2ClientCredentialsUpdateRequest.new({
  data: DatadogAPIClient::V2::WebhooksOAuth2ClientCredentialsUpdateData.new({
    attributes: DatadogAPIClient::V2::WebhooksOAuth2ClientCredentialsUpdateAttributes.new({
      access_token_url: "https://example.com/oauth/token",
      audience: "https://api.example.com",
      client_id: "my-client-id",
      client_secret: "my-client-secret",
      name: "my-oauth2-auth",
      scope: "read:webhooks write:webhooks",
    }),
    type: DatadogAPIClient::V2::WebhooksOAuth2ClientCredentialsType::WEBHOOKS_AUTH_METHOD_OAUTH2_CLIENT_CREDENTIALS,
  }),
})
p api_instance.update_o_auth2_client_credentials("auth_method_id", body)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// Update an OAuth2 client credentials auth method returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.WebhooksOAuth2ClientCredentialsUpdateRequest{
		Data: datadogV2.WebhooksOAuth2ClientCredentialsUpdateData{
			Attributes: datadogV2.WebhooksOAuth2ClientCredentialsUpdateAttributes{
				AccessTokenUrl: datadog.PtrString("https://example.com/oauth/token"),
				Audience:       *datadog.NewNullableString(datadog.PtrString("https://api.example.com")),
				ClientId:       datadog.PtrString("my-client-id"),
				ClientSecret:   datadog.PtrString("my-client-secret"),
				Name:           datadog.PtrString("my-oauth2-auth"),
				Scope:          *datadog.NewNullableString(datadog.PtrString("read:webhooks write:webhooks")),
			},
			Type: datadogV2.WEBHOOKSOAUTH2CLIENTCREDENTIALSTYPE_WEBHOOKS_AUTH_METHOD_OAUTH2_CLIENT_CREDENTIALS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewWebhooksIntegrationApi(apiClient)
	resp, r, err := api.UpdateOAuth2ClientCredentials(ctx, "auth_method_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `WebhooksIntegrationApi.UpdateOAuth2ClientCredentials`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `WebhooksIntegrationApi.UpdateOAuth2ClientCredentials`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// Update an OAuth2 client credentials auth method returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.WebhooksIntegrationApi;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsResponse;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsType;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsUpdateAttributes;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsUpdateData;
import com.datadog.api.client.v2.model.WebhooksOAuth2ClientCredentialsUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    WebhooksIntegrationApi apiInstance = new WebhooksIntegrationApi(defaultClient);

    WebhooksOAuth2ClientCredentialsUpdateRequest body =
        new WebhooksOAuth2ClientCredentialsUpdateRequest()
            .data(
                new WebhooksOAuth2ClientCredentialsUpdateData()
                    .attributes(
                        new WebhooksOAuth2ClientCredentialsUpdateAttributes()
                            .accessTokenUrl("https://example.com/oauth/token")
                            .audience("https://api.example.com")
                            .clientId("my-client-id")
                            .clientSecret("my-client-secret")
                            .name("my-oauth2-auth")
                            .scope("read:webhooks write:webhooks"))
                    .type(
                        WebhooksOAuth2ClientCredentialsType
                            .WEBHOOKS_AUTH_METHOD_OAUTH2_CLIENT_CREDENTIALS));

    try {
      WebhooksOAuth2ClientCredentialsResponse result =
          apiInstance.updateOAuth2ClientCredentials("auth_method_id", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling WebhooksIntegrationApi#updateOAuth2ClientCredentials");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// Update an OAuth2 client credentials auth method returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_webhooks_integration::WebhooksIntegrationAPI;
use datadog_api_client::datadogV2::model::WebhooksOAuth2ClientCredentialsType;
use datadog_api_client::datadogV2::model::WebhooksOAuth2ClientCredentialsUpdateAttributes;
use datadog_api_client::datadogV2::model::WebhooksOAuth2ClientCredentialsUpdateData;
use datadog_api_client::datadogV2::model::WebhooksOAuth2ClientCredentialsUpdateRequest;

#[tokio::main]
async fn main() {
    let body = WebhooksOAuth2ClientCredentialsUpdateRequest::new(
        WebhooksOAuth2ClientCredentialsUpdateData::new(
            WebhooksOAuth2ClientCredentialsUpdateAttributes::new()
                .access_token_url("https://example.com/oauth/token".to_string())
                .audience(Some("https://api.example.com".to_string()))
                .client_id("my-client-id".to_string())
                .client_secret("my-client-secret".to_string())
                .name("my-oauth2-auth".to_string())
                .scope(Some("read:webhooks write:webhooks".to_string())),
            WebhooksOAuth2ClientCredentialsType::WEBHOOKS_AUTH_METHOD_OAUTH2_CLIENT_CREDENTIALS,
        ),
    );
    let configuration = datadog::Configuration::new();
    let api = WebhooksIntegrationAPI::with_config(configuration);
    let resp = api
        .update_o_auth2_client_credentials("auth_method_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * Update an OAuth2 client credentials auth method returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.WebhooksIntegrationApi(configuration);

const params: v2.WebhooksIntegrationApiUpdateOAuth2ClientCredentialsRequest = {
  body: {
    data: {
      attributes: {
        accessTokenUrl: "https://example.com/oauth/token",
        audience: "https://api.example.com",
        clientId: "my-client-id",
        clientSecret: "my-client-secret",
        name: "my-oauth2-auth",
        scope: "read:webhooks write:webhooks",
      },
      type: "webhooks-auth-method-oauth2-client-credentials",
    },
  },
  authMethodId: "auth_method_id",
};

apiInstance
  .updateOAuth2ClientCredentials(params)
  .then((data: v2.WebhooksOAuth2ClientCredentialsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"